Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render
Class PortletRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.PortletRenderer

Direct Known Subclasses:
  RenderManager

public abstract class PortletRenderer
extends java.lang.Object

A PortletRenderer is the portlet controller responsible for generating the portlet's display (via markup). The renderer use the information passed in the request to determine what "instance" its rendering. If user customizations are supported, the render accesses the personalization manager to get the user specific data.

A renderer is designed for concurrent use. That is a single renderer may have its `render()` method called concurrently.

Besides specifying the rendering interface, this interface defines constants Renderers use to reference the portals CSS tags. Using these is integral to having your renderer "adopt" the user page style.

The interface also defines constants to represent the various render modes your portlet renderer may/must support.

Field Summary
`static java.lang.String` | `DEFAULT_CHARACTER_ENCODING` The default character encoding for renderer output
`static java.lang.String` | `LEFT_CURVE`
`static int` | `MODE_ABOUT` Signifies this renderer should render its "about" information.
`static int` | `MODE_EDIT` Signifies this renderer should render its user customization screen.
`static int` | `MODE_EDIT_DEFAULTS` Signifies this renderer should render its default or system customization screen.
`static int` | `MODE_HELP` Signifies this renderer should render its "help" information.
`static int` | `MODE_LINK` Signifies this renderer should render a link reference to itself.
`static java.lang.String` | `MODE_NAME_ABOUT` The String representation of the about mode.
`static java.lang.String` | `MODE_NAME_EDIT` The String representation of the edit mode.
`static java.lang.String` | `MODE_NAME_EDIT_DEFAULTS` The String representation of the edit_defaults mode.
`static java.lang.String` | `MODE_NAME_HELP` The String representation of the help mode.
`static java.lang.String` | `MODE_NAME_LINK` The String representation of the link mode.
`static java.lang.String` | `MODE_NAME_PREVIEW` The String representation of the preview mode.
`static java.lang.String` | `MODE_NAME_SHOW` The String representation of the show mode.
`static java.lang.String` | `MODE_NAME_SHOW_DETAILS` The String representation of the details mode.
`static int` | `MODE_PREVIEW` Signifies this renderer should render a preview of itself.
`static int` | `MODE_SHOW` Signifies this renderer should render its (regular) content.
`static int` | `MODE_SHOW_DETAILS` Signifies this renderer should render its "details".
`static java.lang.String` | `PAGE_COLOR`
`static java.lang.String` | `PORTLET_BODY_COLOR`
`static java.lang.String` | `PORTLET_HEADER_COLOR`
`static java.lang.String` | `PORTLET_HEADER_LINK`
`static java.lang.String` | `PORTLET_HEADER_TEXT`
`static java.lang.String` | `PORTLET_HEADING_1`
`static java.lang.String` | `PORTLET_HEADING_2`
`static java.lang.String` | `PORTLET_HEADING_3`
`static java.lang.String` | `PORTLET_HEADING_4`
`static java.lang.String` | `PORTLET_SUBHEADER_COLOR`
`static java.lang.String` | `PORTLET_SUBHEADER_LINK`
`static java.lang.String` | `PORTLET_SUBHEADER_TEXT`
`static java.lang.String` | `PORTLET_TEXT_1`
`static java.lang.String` | `PORTLET_TEXT_2`
`static java.lang.String` | `PORTLET_TEXT_3`
`static java.lang.String` | `PORTLET_TEXT_4`
`static java.lang.String` | `RIGHT_CURVE`
`static int` | `TOTAL_MODES` The total number of modes a portlet can implement
`static java.lang.String` | `TYPE_HTML` The MIME content type for HTML output (i.e.
`static java.lang.String` | `TYPE_MOBILE` The MIME content type for Mobile XML output
`static java.lang.String` | `TYPE_XML` The MIME content type for XML output (i.e.

Constructor Summary
`PortletRenderer()`

Method Summary
`abstract void` | `render(PortletRenderRequest request)` Renders this portlet according to the portal render mode contained in the request.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTLET_HEADING_1

    public static final java.lang.String PORTLET_HEADING_1

See Also:
  Constant Field Values

### PORTLET_HEADING_2

    public static final java.lang.String PORTLET_HEADING_2

See Also:
  Constant Field Values

### PORTLET_HEADING_3

    public static final java.lang.String PORTLET_HEADING_3

See Also:
  Constant Field Values

### PORTLET_HEADING_4

    public static final java.lang.String PORTLET_HEADING_4

See Also:
  Constant Field Values

### PORTLET_HEADER_TEXT

    public static final java.lang.String PORTLET_HEADER_TEXT

See Also:
  Constant Field Values

### PORTLET_SUBHEADER_TEXT

    public static final java.lang.String PORTLET_SUBHEADER_TEXT

See Also:
  Constant Field Values

### PORTLET_HEADER_LINK

    public static final java.lang.String PORTLET_HEADER_LINK

See Also:
  Constant Field Values

### PORTLET_SUBHEADER_LINK

    public static final java.lang.String PORTLET_SUBHEADER_LINK

See Also:
  Constant Field Values

### PORTLET_HEADER_COLOR

    public static final java.lang.String PORTLET_HEADER_COLOR

See Also:
  Constant Field Values

### PORTLET_SUBHEADER_COLOR

    public static final java.lang.String PORTLET_SUBHEADER_COLOR

See Also:
  Constant Field Values

### PORTLET_BODY_COLOR

    public static final java.lang.String PORTLET_BODY_COLOR

See Also:
  Constant Field Values

### PORTLET_TEXT_1

    public static final java.lang.String PORTLET_TEXT_1

See Also:
  Constant Field Values

### PORTLET_TEXT_2

    public static final java.lang.String PORTLET_TEXT_2

See Also:
  Constant Field Values

### PORTLET_TEXT_3

    public static final java.lang.String PORTLET_TEXT_3

See Also:
  Constant Field Values

### PORTLET_TEXT_4

    public static final java.lang.String PORTLET_TEXT_4

See Also:
  Constant Field Values

### LEFT_CURVE

    public static final java.lang.String LEFT_CURVE

See Also:
  Constant Field Values

### RIGHT_CURVE

    public static final java.lang.String RIGHT_CURVE

See Also:
  Constant Field Values

### PAGE_COLOR

    public static final java.lang.String PAGE_COLOR

See Also:
  Constant Field Values

### TYPE_HTML

    public static final java.lang.String TYPE_HTML

  The MIME content type for HTML output (i.e. "text/html")

  See Also:
    Constant Field Values

### TYPE_XML

    public static final java.lang.String TYPE_XML

  The MIME content type for XML output (i.e. "text/xml")

  See Also:
    Constant Field Values

### TYPE_MOBILE

    public static final java.lang.String TYPE_MOBILE

  The MIME content type for Mobile XML output

  See Also:
    Constant Field Values

### DEFAULT_CHARACTER_ENCODING

    public static final java.lang.String DEFAULT_CHARACTER_ENCODING

  The default character encoding for renderer output

  See Also:
    Constant Field Values

### MODE_SHOW

    public static final int MODE_SHOW

  Signifies this renderer should render its (regular) content.

  See Also:
    Constant Field Values

### MODE_ABOUT

    public static final int MODE_ABOUT

  Signifies this renderer should render its "about" information. I.e the equivalent information that a client program would provide when the About menu is selected. Usually contains version and author information.

  See Also:
    Constant Field Values

### MODE_EDIT

    public static final int MODE_EDIT

  Signifies this renderer should render its user customization screen. I.e. a form containing the current user personalizations for this portlet.

  See Also:
    Constant Field Values

### MODE_HELP

    public static final int MODE_HELP

  Signifies this renderer should render its "help" information. I.e the equivalent information that a client program would provide when the help menu is selected. Usually, an overview of the portlet and how it can be used/customized.

  See Also:
    Constant Field Values

### MODE_EDIT_DEFAULTS

    public static final int MODE_EDIT_DEFAULTS

  Signifies this renderer should render its default or system customization screen. The portal supports 2 levels of customization: user customization and system (or default) customization. The later customizes the default setting of a portlet (instance) for this portlet. All users who haven't customized the portlet are controlled by these settings.

  See Also:
    Constant Field Values

### MODE_SHOW_DETAILS

    public static final int MODE_SHOW_DETAILS

  Signifies this renderer should render its "details".

  See Also:
    Constant Field Values

### MODE_PREVIEW

    public static final int MODE_PREVIEW

  Signifies this renderer should render a preview of itself. A preview is a rendition that provides a sample of who this portlet will look at runtime without necessarily being "live".

  See Also:
    Constant Field Values

### MODE_LINK

    public static final int MODE_LINK

  Signifies this renderer should render a link reference to itself.

  See Also:
    Constant Field Values

### TOTAL_MODES

    public static final int TOTAL_MODES

  The total number of modes a portlet can implement

  See Also:
    Constant Field Values

### MODE_NAME_SHOW

    public static final java.lang.String MODE_NAME_SHOW

  The String representation of the show mode. Use PortletRendererUtil methods to map between the numberic mode value and its name.

  See Also:
    Constant Field Values

### MODE_NAME_ABOUT

    public static final java.lang.String MODE_NAME_ABOUT

  The String representation of the about mode. Use PortletRendererUtil methods to map between the numberic mode value and its name.

  See Also:
    Constant Field Values

### MODE_NAME_EDIT

    public static final java.lang.String MODE_NAME_EDIT

  The String representation of the edit mode. Use PortletRendererUtil methods to map between the numberic mode value and its name.

  See Also:
    Constant Field Values

### MODE_NAME_HELP

    public static final java.lang.String MODE_NAME_HELP

  The String representation of the help mode. Use PortletRendererUtil methods to map between the numberic mode value and its name.

  See Also:
    Constant Field Values

### MODE_NAME_EDIT_DEFAULTS

    public static final java.lang.String MODE_NAME_EDIT_DEFAULTS

  The String representation of the edit_defaults mode. Use PortletRendererUtil methods to map between the numberic mode value and its name.

  See Also:
    Constant Field Values

### MODE_NAME_SHOW_DETAILS

    public static final java.lang.String MODE_NAME_SHOW_DETAILS

  The String representation of the details mode. Use PortletRendererUtil methods to map between the numberic mode value and its name.

  See Also:
    Constant Field Values

### MODE_NAME_PREVIEW

    public static final java.lang.String MODE_NAME_PREVIEW

  The String representation of the preview mode. Use PortletRendererUtil methods to map between the numberic mode value and its name.

  See Also:
    Constant Field Values

### MODE_NAME_LINK

    public static final java.lang.String MODE_NAME_LINK

  The String representation of the link mode. Use PortletRendererUtil methods to map between the numberic mode value and its name.

  See Also:
    Constant Field Values

Constructor Detail

### PortletRenderer

    public PortletRenderer()

Method Detail

### render

    public abstract void render(PortletRenderRequest request)
                         throws PortletException,
                                AccessControlException

  Renders this portlet according to the portal render mode contained in the request.

  Portlet's are responsible for ensuring the request's user has sufficient rights to receive this rendering.

    `PortletException`
    `AccessControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.